[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.LazarusResourceTypeValid

Determines if the specified resource type is valid for the image format.

## Declaration

Source position: graphics.pp line 832

`public function TGraphic.LazarusResourceTypeValid(`
`const AResourceType: string`
`):Boolean; virtual;`

## Arguments

`AResourceType` |  | The resource type examined in the method.

## Function result

Returns True when ResourceType is supported in the image format.

## Description

LazarusResourceTypeValid is a Boolean function used to determine if the specified resource type is valid for the image format.

LazarusResourceTypeValid always returns False in TGraphic. The method must be overridden in descendent classes to check for resource type(s) supported for a specific image format.

## See also

TCustomBitmap.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TFPImageBitmap.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TCustomIcon.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.
TIcnsIcon.LazarusResourceTypeValid |  | Checks whether the specified Resource Type name is valid for the icon type.
TCursorImage.LazarusResourceTypeValid |  | Determines if the specified resource type is valid for the image format.